---
title: 'Create referral user'
description: 'This endpoint allows you to create a referral user'
openapi: POST /api/referral/users
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/referral/users`

`POST https://admin.snagsolutions.io/api/referral/users`

This endpoint allows you to create a referral user

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object)
    - `referralCode` (string)
    - `referralCodeId` (string, uuid)
    - `userIds` (array, required)
      - `items` (string, uuid)

## Response 200

200
  - response (object)
    - `message` (string, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
